Enhavo
Indekso 🔎︎

# IIf Function

Liveras unu el du eblaj funkciaj rezultoj, depende de la logika valoro de la komputita esprimo.

### Syntax:

    IIf (Expression, ExpressionTrue, ExpressionFalse)

### Parameters:

Expression: Esprimo komputota. Se la komputita esprimo estas True, la funkcio liveras la rezulton de ExpressionTrue, alie ĝi liveras la rezulton de ExpressionFalse.

ExpressionTrue, ExpressionFalse:Esprimo, de kiu unu liveriĝos kiel la rezulto de la funkcio, depende de la logika komputo.

IIf evaluates both ExpressionTrue and ExpressionFalse even if it returns only one of them. If one of the expressions results in error, the function returns the error. For example, do not use IIF to bypass a possible division by zero result.

### Error codes:

5 Nevalida procedurvoko

### Example:

    REM Returns the maximum of 3 values
    Function Max (A As Double, B As Double, C, As Double) As Double
        Max = IIf( A >= B, A, B)
        Max = IIf( C >= Max, C, Max)
    End Function
    REM Bad usage of function IIf
    Function Inverse(A As Double) As Double
        Inverse = IIf( A = 0, 0, 1/A )
    End Function

Rilataj temoj

If or Select Case statements

Switch function